Ask Your Question
0

Request: add CLI installer manager for Windows

asked 2020-09-12 13:16:00 +0100

jtm2020hyo gravatar image

https://chocolatey.org/

Recently I found an equivalent to "apt-get" for Windows, Chocolatey is The Package Manager for Windows, you can install, upgrade, uninstall multiple programs at the same time, like apt-get, some examples:

...
https://chocolatey.org/packages/blender
$ choco install blender
https://chocolatey.org/packages/freecad/0.19.0.22366-dev
$ choco install Freecad --pre 
https://chocolatey.org/packages/sweet-home-3d
$ choco install sweet-home-3d
...

... and this is not just for programs because add-on, plug-ing, script, macros, complements, extensions, etc, can be managed from there.

in context, if a windows user wants to update their programs, need open each URL and download individually each program and this can be a pain, with choco you just need do this:

choco upgrade all -y

... could be a help for new users.

request:

add a choco installer

...
https://chocolatey.org/packages/libreoffice
$ choco install libreoffice
https://chocolatey.org/packages/libreoffice-pree
$ choco install libreoffice --pre
...
edit retag flag offensive close merge delete

Comments

1

Please take a minute and read this Introduction - Feature Request and what it states about where Feature Requests should go to. This site is the wrong place to contact developers and to request enhancements...

Opaque gravatar imageOpaque ( 2020-09-12 14:08:44 +0100 )edit

1 Answer

Sort by » oldest newest most voted
0

answered 2020-09-13 16:07:39 +0100

Opaque gravatar image

updated 2020-09-13 16:12:20 +0100

Hello,

no additional installer required. Chocolatey is able to install MSI packages and there are already provisions available for installations of LibreOffice using chocolatey (Query LibreOffice Packages on Chocolatey Website). The only thing required is an installation package for new LibreOffice releases, which should be provided by chocolatey provision-package maintainers.

See also: #tdf136690 - Status: RESOLVED NOTOURBUG

edit flag offensive delete link more

Comments

We need an official update since LibreOffice.org, check the image:

https://chocolatey.org/packages?q=Lib...

https://imgur.com/a/oZoBmVr

image

... all those are outdated and deprecated versions, LibreOffice is the only in Chocolatey.org with this problem, what I request is:

LO 7.0

add a stable, fresh, dev, and help pack, all but updated versions

add extensions if possible

if there exist external libraries, add a choco package or integrate into the already existing.

jtm2020hyo gravatar imagejtm2020hyo ( 2020-09-14 09:45:36 +0100 )edit

Did you read the bug report? - regardless of how urgent this might be for you, you address your issue to the wrong people. It's purely a matter of chocolatey.org and this rating is a result of reading how chocolatey stuff works.

Opaque gravatar imageOpaque ( 2020-09-14 10:37:14 +0100 )edit

ok, I will search for a solution since chocolatey.org, but IMHO LibreOffice.org should care about this.

jtm2020hyo gravatar imagejtm2020hyo ( 2020-09-14 11:35:07 +0100 )edit

IMHO LibreOffice.org should care about this.

This is your opinion but it is definitely not TDF/LibreOffice developer's issue. LibreOffice (TDF) doesn't care about Avira Software Updater, IOBit Software Updater, Patch My PC Updater, OpenSUSE zypper package managenment. Ubuntu/Debian apt package management, Slackware tgz package management, Redhat/Fedora/CentOS dnf package management or Manjaros pacman software managerment (to name only a few of such tools) and consequently not about chocolatey's tool.

Opaque gravatar imageOpaque ( 2020-09-14 11:48:45 +0100 )edit
Login/Signup to Answer

Question Tools

1 follower

Stats

Asked: 2020-09-12 13:16:00 +0100

Seen: 65 times

Last updated: Sep 13 '20